| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/servers/{server_id}/os-virtual-interfaces | Shows the virtual interface for for a specified
instance. Includes the |
Normal response codes: 202
This table shows the URI parameters for the show virtual interface and attached network request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
This operation does not require a request body.
Example 3.338. Show virtual interface and attached network: JSON response
{
"virtual_interfaces": [
{
"id": "cec8b9bb-5d22-4104-b3c8-4c35db3210a6",
"mac_address": "fa:16:3e:3c:ce:6f",
"OS-EXT-VIF-NET:net_id": "cec8b9bb-5d22-4104-b3c8-4c35db3210a7"
}
]
}
Example 3.339. Show virtual interface and attached network: XML response
<?xml version='1.0' encoding='UTF-8'?>
<virtual_interfaces
xmlns:OS-EXT-VIF-NET="http://docs.openstack.org/compute/ext/extended-virtual-interfaces-net/api/v1.1"
xmlns="http://docs.openstack.org/compute/api/v1.1">
<virtual_interface id="94edf7aa-565a-469a-8f45-656b4acf8229"
mac_address="fa:16:3e:7d:31:9a"
OS-EXT-VIF-NET:net_id="94edf7aa-565a-469a-8f45-656b4acf8230"/>
</virtual_interfaces>
This operation does not return a response body.

